package com.company.springdocsample.controller;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class GreetingController {

    @Operation(description = "Method that says hello")
    @GetMapping("/hello")
    public String hello(@RequestParam @Parameter(description = "Person name") String name) {
        return "Hello " + name;
    }

}
